<div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8">
        <form #formSearch="ngForm" name="formSearch" >
            <fieldset [disabled]="disabledForm">
            <div class="row">
                <div class="col">
                    <div class="alert alert-box" role="alert">
                        <h3>Regolarizzazione Cumulativa - Maxi Rilievi</h3>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <app-alert></app-alert>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <div class="form-group">
                            <label class=" font-weight-bold">Data Da: </label>
                            <input type="text" class="form-control form-control-sm" [(ngModel)]="criteria.dateFrom"
                                name="dateFrom" bsDatepicker
                                [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                                [bsValue]="criteria.dateFrom" [maxDate]="dateFromMax()" readonly="true">
                    </div> 
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class=" font-weight-bold">Data A: </label>
                        <input type="text" class="form-control form-control-sm" [(ngModel)]="criteria.dateTo"
                            name="dateTo" bsDatepicker
                            [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                            [bsValue]="criteria.dateTo" [maxDate]="dateFromMax()" [minDate]="dateToMin()" readonly="true">
                    </div> 
                </div>
                <div class="col-md-3">
                    <div class="form-group" [ngClass]="{'has-error' : (AmountFromRef.invalid && (AmountFromRef.dirty || AmountFromRef.touched))}">
                        <label class=" font-weight-bold">Importo Da: </label>
                        <input type="number"  #AmountFromRef="ngModel" class="form-control form-control-sm" (change)="amountFromChange()"  [(ngModel)]="criteria.amountFrom" [(max)]="criteria.amountTo"  name="amountFrom" required>
                        <div *ngIf="(AmountFromRef.invalid && (AmountFromRef.dirty || AmountFromRef.touched))" class="validation-messages">
                                <div>Campo obbligatorio e inferiore o uguale a Importo A </div>
                        </div>
                    </div> 
                   
                </div>
                <div class="col-md-3">
                    <div class="form-group" [ngClass]="{'has-error' : (AmountToRef.invalid && (AmountToRef.dirty || AmountToRef.touched))}">
                        <label class=" font-weight-bold">Importo A: </label>
                        <input type="number"  #AmountToRef="ngModel" class="form-control form-control-sm" (change)="amountToChange()"  [(ngModel)]="criteria.amountTo" [(min)]="criteria.amountFrom" name="amountTo" required>
                    
                        <div [hidden]="!(AmountToRef.invalid && (AmountToRef.dirty || AmountToRef.touched))" class="validation-messages">
                                <div>Campo obbligatorio e superiore o uguale a Importo Da </div>
                        </div>
                    </div> 
                   
                </div>
            </div>
            <div class="row">
                <div class="col-md-5">
                     <div class="form-group">
                        <label class="font-weight-bold">Voce Daco: </label>
                            <div class="form-group">
                                <ng-select
                                    [ngClass]="{'has-errorSelect' : (dacosRef.invalid && (dacosRef.dirty || dacosRef.touched))}"
                                    [items]="dacoList" name="daco" style="width: 100%"
                                    [multiple]="true" bindLabel="full" 
                                    placeholder="Tutti" notFoundText="Nessun Risultato" [(ngModel)]="includedSelectedDaco"
                                    #dacosRef="ngModel" [closeOnSelect]="false" [virtualScroll]="true">
                                    <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
                                        <input id="item-{{index}}" name="item-{{index}}" type="checkbox" [ngModel]="item$.selected"/> {{item.full}}
                                    </ng-template>
                                </ng-select>
             
                            </div>
                    </div>
                </div>
                <div class="col-md-1">
                        <div class="form-group">
                                <label class="font-weight-bold"></label>
                                <div class="form-group">
                                    <button type="button" (click)="addInExcludedList()" [disabled]="includedSelectedDaco.length<=0"
                                        class="btn btn-sm btn-success size" style="float: right; margin-top: 10pt;">&gt;&gt;</button>
                                </div>
                            </div>
                </div>
                <div class="col-md-1">
                        <div class="form-group">
                                <label class="font-weight-bold"></label>
                                <div class="form-group">
                                    <button type="button" (click)="addInIncludedList()" [disabled]="excludedSelectedDaco.length<=0"
                                        class="btn btn-sm btn-success size" style="float: left;display:flex; margin-top: 10pt;">&lt;&lt;</button>
                                </div>
                            </div>
                 </div>
                <div class="col-md-5">
                    <div class="form-group">
                        <label class="font-weight-bold">Voce Daco Da Escludere: </label>
                        <div class="form-group">
                                <ng-select
                                    [ngClass]="{'has-errorSelect' : (dacosExclRef.invalid && (dacosExclRef.dirty || dacosExclRef.touched))}"
                                    [items]="dacoExcludedList" name="dacoExcluted" style="width: 100%"
                                    [multiple]="true" bindLabel="full" 
                                    placeholder="Tutti" notFoundText="Nessun Risultato" [(ngModel)]="excludedSelectedDaco"
                                    #dacosExclRef="ngModel" [closeOnSelect]="false" [virtualScroll]="true">
                                <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
                                    <input id="item-{{index}}" name="item-{{index}}" type="checkbox" [ngModel]="item$.selected"/> {{item.full}}
                                </ng-template>
                            </ng-select>
                       
                        </div>
                    </div>
                </div>
        </div>
        <div class="row">
                <div class="col-md-10">

                </div>
                <div class="col-md-2">
                        <div class="form-group">
                            <label class="font-weight-bold"></label>
                            <div class="form-group">
                                <button type="submit" (click)="search()"
                                [disabled]="!(formSearch.valid)"
                                class="btn btn-sm btn-success size" style="float: right; margin-top: 10pt;">Ricerca</button>
                            </div>
                        </div>
                </div>
        </div>
    </fieldset>
    </form>
</div>
    <div class="col-md-2"></div>
</div>

<hr>
<div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8">

                <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" id="maxiEvaluation"  class="row-border hover centered-datatables" >
                    <thead>
                        <tr>
                            <th>Nr. Rilievo</th>
                            <th>Data Inserimento</th>
                            <th>Data Competenza</th>
                            <th>Filiale</th>
                            <th>Frazionario</th>
                            <th>Voce Daco</th>
                            <th>Causale</th>
                            <th>Debito</th>
                            <th>Credito</th>
                        </tr>
                    </thead>
                </table>
           
            
        </div>
        <div class="col-md-2"></div>
</div>
<hr>
<div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8">
            <div class="row">
            <form class="form-inline" #formRegularization="ngForm" name="formRegularization">
            
                    <div class="form-group  mx-sm-3 mb-3">
                            <label for="lastProcessDate" class="font-weight-bold">Data Ultima Elaborazione:&nbsp;</label>
                            <input type="text" class="form-control form-control-sm" id="lastProcessDate" [ngModel]="lastProcessDate | date: 'dd/MM/yyyy'" name="lastProcessDate" disabled>
                    </div> 
                    <div class="form-group  mx-sm-3 mb-3">
                            <label for="endDate" class=" font-weight-bold">Data Limite:&nbsp;</label>
                            <input type="text" class="form-control form-control-sm"  id="endDate" bsDatepicker autocomplete="off"
                            [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default' , showWeekNumbers : false}"
                            placeholder="gg/mm/aaaa" 
                            [bsValue]="endDate" [(ngModel)]="endDate" name="endDate" [maxDate]="endDateMaxDate()"  #endDateRef="ngModel">

<!--
                            <input type="text" autocomplete="off" class="form-control form-control-sm"
                            [(ngModel)]="model._competenceDate" name="competenceDate" bsDatepicker
                            [bsConfig]="{ dateInputFormat: 'DD/MM/YYYY', containerClass: 'theme-default', showWeekNumbers : false }"
                            [bsValue]="model._competenceDate"  required placeholder="gg/mm/aaaa" [maxDate]="competenceDateUpperBound()"
                            #competenceDateRef="ngModel">-->
                    </div> 
                   
                   <!-- <button type="button" style="float: right; margin-right: 16px; width: 120px;" class="btn btn-danger mx-sm-3 mb-3">Annulla</button>-->
                   <div class="form-group  mx-sm-3 mb-3">
                    <button type="button"name="btnRegularization" (click)="regularization()" style="float: right;" class="btn btn-success btn-sm">Avvia Regolarizzazione</button>
                    <button type="button" class="btn btn-sm btn-danger size buttonCancel" 
                    (click)="goToHome()">Annulla</button>
                </div>
                   <!-- <button type="button" class="btn btn-primary mx-sm-3 mb-3"style="float: right; margin-left: 20px;"><span class="oi oi-document"></span> Export Excel</button>-->    
              
            </form>
            
            </div>
            <br>
        </div>
        <div class="col-md-2"></div>
</div>
